import java.io.*;
import java.util.ArrayList;
import java.util.List;
import java.util.Scanner;

public class MyFileReader {
	public static void main(String[] args) {
		// 1st method
		Scanner fileScan = null;
		try {
			fileScan = new Scanner(new File("D:/word.txt"));
			// Read and process each word of the file
			String word;
			while (fileScan.hasNext()) {
				word = fileScan.nextLine().toLowerCase();
				// ...
			}
		} catch (IOException e) {
			System.err.println(e);
		} finally {
			fileScan.close();
		}
		// 2nd method
		BufferedReader br = null;
		List<String> stringList = new ArrayList<String>();
		try {
			String currentLine;
			br = new BufferedReader(new FileReader("D:/word.txt"));
			while ((currentLine = br.readLine()) != null) {
				stringList.add(currentLine);
			}
		} catch (IOException e) {
			e.printStackTrace();
		} finally {
			try {
				if (br != null) {
					br.close();
				}
			} catch (IOException ex) {
				ex.printStackTrace();
			}
		}
		// print the list out
		System.out.println("\nNow we want to print the list out:");
		for (String s : stringList) {
			System.out.println(s);
		}
	}
}
