package fibonacci;
public class Main4 {
	// Michael Goodrich et al. provide a really clever algorithm in
	// Data Structures and Algorithms in Java, for solving
	// Fibonacci recursively in linear time by returning
	// an array of [fibonacci(n), fibonacci(n-1)].
	static long[] fibonacci(int n) {
	    if (n <= 1) {
	        long answer[] = {n,0};
	        return answer;
	    } else {
	        long tmp[] = fibonacci(n-1);
	        long answer[] = {tmp[0] + tmp[1], tmp[0]};
	        return answer;
	    }
	}
	public static void main(String[] args) {
		long a[];
		a = fibonacci(10);
		System.out.println(a[0]);
	}
}
