package myCollection;
import java.util.ArrayList;
import java.util.List;
public class AnimalTest1a {
	public static void main(String[] args) {
		Cat cat1 = new Cat();
		cat1.setName("superman");
		Cat cat2 = new Cat();
		cat2.setName("spiderman");
		List<Cat> cats = new ArrayList<>();
		cats.add(cat1);
		cats.add(cat2);
		
		List<? extends Animal> animals = cats;
		Animal animal1 = animals.get(0);
		System.out.println(animal1.getName()); // superman
		Animal animal2 = animals.get(1);
		System.out.println(animal2.getName()); // spiderman
		// Here we cannot use add or set or any method that has a generic type
		// as an argument, since it might break the contract that cats only
		// contained Cats and not other Animals
		//		      so: animals1.add(dog1) will raise ERROR
//		Dog dog1 = new Dog();
//		dog1.setName("supergirl");
//		animals.add(dog1);
		
		// We only able to access the elements in a list, but not add any elements
		// to a generic list
		System.out.println();
	}
}
