package myCollection;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
public class AnimalTest2 {
	public static <T> void addAll(List<T> src, List<? super T> dest) {
	    for (T element : src) { // add every element in src to dest
			dest.add(element);
	    }
	}
	public static void main(String[] args) {
		Cat cat1 = new Cat();
		cat1.setName("superman");
		Cat cat2 = new Cat();
		cat2.setName("spiderman");
		List<Cat> cats = new ArrayList<>();
		cats.add(cat1);
		cats.add(cat2);
		Dog dog1 = new Dog();
		dog1.setName("supergirl");
		Dog dog2 = new Dog();
		dog2.setName("spidergirl");
		List<Dog> dogs = new ArrayList<>();
		dogs.add(dog1);
		dogs.add(dog2);
		
		List<Animal> newAnimals = new ArrayList<>();
		addAll(cats, newAnimals);
		Iterator iterator = newAnimals.iterator();
		while (iterator.hasNext()) {
		    Animal a = (Animal) iterator.next();
		    System.out.println(a.getName());
		}
		// superman
		// spiderman
		System.out.println();
		// Then we add dogs to newAnimals, so newAnimals now contains
		// both cats and dogs
		addAll(dogs, newAnimals);
		iterator = newAnimals.iterator();
		while (iterator.hasNext()) {
		    Animal a = (Animal) iterator.next();
		    System.out.println(a.getName());
		}
		// superman
		// spiderman
		// supergirl
		// spidergirl
	}
}
