package myCollection;
import java.util.Arrays;
import java.util.Set;
import java.util.TreeSet;
public class MySet {
	public static void main(String[] args) {
		//Set<Integer> myNumbers = new TreeSet<>();
		Set<Integer> myNumbers = new TreeSet<Integer>();
		myNumbers.add(1);
		myNumbers.add(2);
		myNumbers.add(3);
		System.out.println(myNumbers);
		// "[1, 2, 3]"
		System.out.println(myNumbers.contains(7)); 
		// "false"
		System.out.println(myNumbers.add(3));
		// "false"
		System.out.println(myNumbers.size());
		// "3"
		int sum = 0;
		for (int n : myNumbers) {
		    sum += n;
		}
		System.out.println("Sum = " + sum);
		// "Sum = 6"
		myNumbers.addAll(Arrays.asList(1, 2, 3, 4, 5, 6, 7));
		System.out.println(myNumbers);
		// "[1, 2, 3, 4, 5, 6, 7]"
		myNumbers.removeAll(Arrays.asList(4, 5, 6, 7, 8, 9, 10));
		System.out.println(myNumbers);
		// "[1, 2, 3]"
		myNumbers.retainAll(Arrays.asList(2, 3, 4, 5));
		System.out.println(myNumbers); // "[2, 3]"
		System.out.println(); 
	}
}
