package myCollection;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
public class MyListEx {
	public static void main(String[] args) {
		List<String> myList = new ArrayList<String>();
		myList.add("you");
		myList.add("and");
		myList.add("us");
		System.out.println(myList);
		// "[you, and, us]"
		System.out.println(myList.contains("they")); // "false"
		System.out.println(myList.add("us"));
		// "true", duplication is allowed
		System.out.println(myList.size());
		// "4
		String s = "";
		for (String w : myList) {
			s += w + " ";
		}
		System.out.println("Sentence = " + s);
		// "Sentence = you and us us "
		myList.addAll(Arrays.asList("love", "them"));
		System.out.println(myList);
		// "[you, and, us, us, love, them]"
		myList.removeAll(Arrays.asList("love", "them", "dude"));
		System.out.println(myList);
		// "[you, and, us, us]"
		myList.retainAll(Arrays.asList("and", "us", "love"));
		System.out.println(myList); // "[and, us, us]"
		System.out.println();
	}
}
